<template>
  <el-form-item :label="options.name" :required="options.required">
    <el-input v-model="formData[options.key || ('input-'+options.uuid)]" :disabled="options.disabled"
              :type="options.type" :show-password="options.type === 'password'" autocomplete="new-password" />
  </el-form-item>
</template>
<script lang="ts" setup>

defineOptions({
  name: 'hw-input-view'
});

const props = defineProps({
  options: Object,
  formData: Object
});
const { options, formData } = toRefs(props);
</script>
<style scoped lang="less">
</style>



